Bug 155942 - New port: x11-fonts/font-manager - A font management application for the GNOME desktop
Summary: New port: x11-fonts/font-manager - A font management application for the GNOM...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-26 06:10 UTC by lichray
Modified: 2011-03-30 01:30 UTC (History)
0 users

See Also:


Attachments
font-manager.shar (8.67 KB, text/plain)
2011-03-26 06:10 UTC, lichray
no flags Details
font-manager.shar (4.85 KB, application/x-shar)
2011-03-26 07:52 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2011-03-26 06:10:10 UTC
	
	Font-manager is a font management tool written in Python/py-gtk. It can make use of the Gnome components, namely yelp and gucharmap, but they are not required.
	WWW: https://code.google.com/p/font-manager/
Comment 1 lichray 2011-03-26 07:52:03 UTC
I replaced the hard-coded data file in pkg-plist with the PORTDATA
variable. This can reduce the future update work. But I'm not sure
whether this works on FreeBSD<8, so please help me to test it.

-- 
Zhihao Yuan
The best way to predict the future is to invent it.
Comment 2 Wen Heping freebsd_committer 2011-03-28 01:56:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-03-30 01:20:51 UTC
wen         2011-03-30 00:20:37 UTC

  FreeBSD ports repository

  Modified files:
    x11-fonts            Makefile 
  Added files:
    x11-fonts/font-manager Makefile distinfo pkg-descr pkg-plist 
    x11-fonts/font-manager/files patch-Makefile.in 
  Log:
  Font Manager is not intended to be a professional-grade font management
  solution, but rather a simple application suitable for the needs of most
  desktop users.
  
  Although designed with the GNOME desktop environment in mind, it should
  work well with most major desktop environments such as Xfce, Enlightenment,
  and even KDE.
  
  WWW:    https://code.google.com/p/font-manager/
  
  PR:             ports/155942
  Submitted by:   Zhihao Yuan <lichray@gmail.com>
  
  Revision  Changes    Path
  1.120     +1 -0      ports/x11-fonts/Makefile
  1.1       +46 -0     ports/x11-fonts/font-manager/Makefile (new)
  1.1       +2 -0      ports/x11-fonts/font-manager/distinfo (new)
  1.1       +33 -0     ports/x11-fonts/font-manager/files/patch-Makefile.in (new)
  1.1       +9 -0      ports/x11-fonts/font-manager/pkg-descr (new)
  1.1       +136 -0    ports/x11-fonts/font-manager/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2011-03-30 01:27:53 UTC
State Changed
From-To: open->closed

New port added. Thanks!